Loading...
Searching...
No Matches
casacore::TabVecMath_global_functions_basicMath Struct Reference
tables package (libcasa_tables) » Tables_module

More...

`#include <TabVecMath.h>`

## Public Member Functions

template<class T>
void | operator+= (TableVector< T > &left, const TableVector< T > &right)
| Add 2 table vectors storing result in first one.
template<class T>
void | operator-= (TableVector< T > &left, const TableVector< T > &right)
| Subtract 2 table vectors storing result in first one.
template<class T>
void | operator*= (TableVector< T > &left, const TableVector< T > &right)
| Multiple 2 table vectors storing result in first one.
template<class T>
void | operator/= (TableVector< T > &left, const TableVector< T > &right)
| Divide 2 table vectors storing result in first one.
template<class T>
void | operator+= (TableVector< T > &left, const T &right)
| Add a scalar to each element in the table vector.
template<class T>
void | operator-= (TableVector< T > &left, const T &right)
| Subtract a scalar from each element in the table vector.
template<class T>
void | operator*= (TableVector< T > &left, const T &right)
| Multiple each element in the table vector with a scalar.
template<class T>
void | operator/= (TableVector< T > &left, const T &right)
| Divide each element in the table vector by a scalar.
template<class T>
TableVector< T > | operator+ (const TableVector< T > &)
| Unary plus.
template<class T>
TableVector< T > | operator- (const TableVector< T > &)
| Unary minus.
template<class T>
TableVector< T > | operator+ (const TableVector< T > &left, const TableVector< T > &right)
| Add 2 table vectors storing result in a new one.
template<class T>
TableVector< T > | operator- (const TableVector< T > &left, const TableVector< T > &right)
| Subtract 2 table vectors storing result in a new one.
template<class T>
TableVector< T > | operator* (const TableVector< T > &left, const TableVector< T > &right)
| Multiple 2 table vectors storing result in a new one.
template<class T>
TableVector< T > | operator/ (const TableVector< T > &left, const TableVector< T > &right)
| Divide 2 table vectors storing result in a new one.
template<class T>
TableVector< T > | operator+ (const TableVector< T > &left, const T &right)
| Add a scalar to each element in the table vector storing result in a new table vector.
template<class T>
TableVector< T > | operator- (const TableVector< T > &left, const T &right)
| Subtract a scalar from each element in the table vector storing result in a new table vector.
template<class T>
TableVector< T > | operator* (const TableVector< T > &left, const T &right)
| Multiple each element in the table vector with a scalar storing result in a new table vector.
template<class T>
TableVector< T > | operator/ (const TableVector< T > &left, const T &right)
| Divide each element in the table vector by a scalar storing result in a new table vector.
template<class T>
TableVector< T > | operator+ (const T &left, const TableVector< T > &right)
| Add a scalar to each element in the table vector storing result in a new table vector.
template<class T>
TableVector< T > | operator- (const T &left, const TableVector< T > &right)
| Subtract a scalar from each element in the table vector storing result in a new table vector.
template<class T>
TableVector< T > | operator* (const T &left, const TableVector< T > &right)
| Multiple each element in the table vector with a scalar storing result in a new table vector.
template<class T>
TableVector< T > | operator/ (const T &left, const TableVector< T > &right)
| Divide each element in the table vector by a scalar storing result in a new table vector.

## Detailed Description

Basic math for table vectors.

### Intended use:

Public interface

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

### Synopsis

These global functions do the basic math for table vectors. This means addition, subtraction, multiplication, division and negation. In case two table vectors are used, the left and right operand must be conformant (i.e. have equal length).

Definition at line 59 of file TabVecMath.h.

## Member Function Documentation

## operator*() [1/3]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator* | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

Multiple each element in the table vector with a scalar storing result in a new table vector.

## operator*() [2/3]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator* | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

Multiple each element in the table vector with a scalar storing result in a new table vector.

## operator*() [3/3]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator* | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Multiple 2 table vectors storing result in a new one.

## operator*=() [1/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator*= | ( | TableVector< T > & | left,
|  | const T & | right )

inline

Multiple each element in the table vector with a scalar.

## operator*=() [2/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator*= | ( | TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Multiple 2 table vectors storing result in first one.

## operator+() [1/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator+ | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

Add a scalar to each element in the table vector storing result in a new table vector.

## operator+() [2/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator+ | ( | const TableVector< T > & |  | ) |

inline

Unary plus.

## operator+() [3/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator+ | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

Add a scalar to each element in the table vector storing result in a new table vector.

## operator+() [4/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator+ | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Add 2 table vectors storing result in a new one.

## operator+=() [1/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator+= | ( | TableVector< T > & | left,
|  | const T & | right )

inline

Add a scalar to each element in the table vector.

## operator+=() [2/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator+= | ( | TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Add 2 table vectors storing result in first one.

## operator-() [1/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator- | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

Subtract a scalar from each element in the table vector storing result in a new table vector.

## operator-() [2/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator- | ( | const TableVector< T > & |  | ) |

inline

Unary minus.

## operator-() [3/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator- | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

Subtract a scalar from each element in the table vector storing result in a new table vector.

## operator-() [4/4]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator- | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Subtract 2 table vectors storing result in a new one.

## operator-=() [1/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator-= | ( | TableVector< T > & | left,
|  | const T & | right )

inline

Subtract a scalar from each element in the table vector.

## operator-=() [2/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator-= | ( | TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Subtract 2 table vectors storing result in first one.

## operator/() [1/3]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator/ | ( | const T & | left,
|  | const TableVector< T > & | right )

inline

Divide each element in the table vector by a scalar storing result in a new table vector.

## operator/() [2/3]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator/ | ( | const TableVector< T > & | left,
|  | const T & | right )

inline

Divide each element in the table vector by a scalar storing result in a new table vector.

## operator/() [3/3]

template<class T>

TableVector< T > casacore::TabVecMath_global_functions_basicMath::operator/ | ( | const TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Divide 2 table vectors storing result in a new one.

## operator/=() [1/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator/= | ( | TableVector< T > & | left,
|  | const T & | right )

inline

Divide each element in the table vector by a scalar.

## operator/=() [2/2]

template<class T>

void casacore::TabVecMath_global_functions_basicMath::operator/= | ( | TableVector< T > & | left,
|  | const TableVector< T > & | right )

inline

Divide 2 table vectors storing result in first one.

The documentation for this struct was generated from the following file:

- tables/Tables/TabVecMath.h